Restart by ID
Endpoint: /webhooks/v1/registrations/{id}/restart
Restarts webhook registration by ID
PUT
https://sandbox.crbcos.com/webhooks/v1/registrations/{id}/restart
Path Parameters
- idstringDescription
Response
- idstringDescription
- partnerIdstringDescription
- eventNamestringDescription
- callbackURLstringDescription
- authUserNamestringDescription
- authPasswordstringDescription
- consecutiveErrorsintegerDescription
- lastErrorstringDescription
- statusstringDescription
- typestringDescription
- formatstringDescription
curl
curl --location --globoff --request PUT 'https://sandbox.crbcos.com/webhooks/v1/registrations/{id}/restart' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data ''nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'PUT',
'hostname': 'sandbox.crbcos.com',
'path': '/webhooks/v1/registrations/{id}/restart',
'headers': {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
req.end();python
import requests
url = "https://sandbox.crbcos.com/webhooks/v1/registrations/{id}/restart"
payload = ""
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/webhooks/v1/registrations/{id}/restart")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/webhooks/v1/registrations/{id}/restart"
method := "PUT"
payload := strings.NewReader(``)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"id": "b38c1805-3f4c-470d-86bb-b288015024ce",
"partnerId": "ba9d0234-26e9-43a2-9070-aedd0108eadb",
"eventName": "Ach.Payment.Received",
"callbackUrl": "https://webhook.site/ef6bdf1e-665c-42e8-9387-e2e89cfc89d9",
"authUsername": "",
"consecutiveErrors": 2,
"lastError": "2025-02-21T01:15:55.61-05:00",
"status": "Restarting",
"type": "Push",
"format": "Extended"
}400
{
"errors": [
{
"code": 2011,
"message": "Registration is active"
}
]
}